<?php
/**
 * Resource "Country Codes"
 *
 * Description: All country codes of the world are listed here.
 *
 * @package Pinpoll
 * @subpackage Pinpoll/admin/resources
 *
 */

/**
 * Country Codes
 * Description: Return all countries in full identified by their codes, which
 *              are used in stats table in Page "Dashboard" and "Poll Details".
 *
 * @return [type] [description]
 */
function pinpoll_get_country_codes() {

  return [
    "A1" => __( "Anonymous Proxy", "pinpoll" ),
    "A2" => __( "Satellite Provider", "pinpoll" ),
    "O1" => __( "Other Country", "pinpoll" ),
    "AF" => __( "Afghanistan", "pinpoll" ),
    "AX" => __( "Aland Islands", "pinpoll" ),
    "AL" => __( "Albania", "pinpoll" ),
    "DZ" => __( "Algeria", "pinpoll" ),
    "AS" => __( "American Samoa", "pinpoll" ),
    "AD" => __( "Andorra", "pinpoll" ),
    "AO" => __( "Angola", "pinpoll" ),
    "AI" => __( "Anguilla", "pinpoll" ),
    "AQ" => __( "Antarctica", "pinpoll" ),
    "AG" => __( "Antigua and Barbuda", "pinpoll" ),
    "AR" => __( "Argentina", "pinpoll" ),
    "AM" => __( "Armenia", "pinpoll" ),
    "AW" => __( "Aruba", "pinpoll" ),
    "AU" => __( "Australia", "pinpoll" ),
    "AT" => __( "Austria", "pinpoll" ),
    "AZ" => __( "Azerbaijan", "pinpoll" ),
    "BS" => __( "Bahamas", "pinpoll" ),
    "BH" => __( "Bahrain", "pinpoll" ),
    "BD" => __( "Bangladesh", "pinpoll" ),
    "BB" => __( "Barbados", "pinpoll" ),
    "BY" => __( "Belarus", "pinpoll" ),
    "BE" => __( "Belgium", "pinpoll" ),
    "BZ" => __( "Belize", "pinpoll" ),
    "BJ" => __( "Benin", "pinpoll" ),
    "BM" => __( "Bermuda", "pinpoll" ),
    "BT" => __( "Bhutan", "pinpoll" ),
    "BO" => __( "Bolivia, Plurinational State of", "pinpoll" ),
    "BQ" => __( "Bonaire, Sint Eustatius and Saba", "pinpoll" ),
    "BA" => __( "Bosnia and Herzegovina", "pinpoll" ),
    "BW" => __( "Botswana", "pinpoll" ),
    "BV" => __( "Bouvet Island", "pinpoll" ),
    "BR" => __( "Brazil", "pinpoll" ),
    "IO" => __( "British Indian Ocean Territory", "pinpoll" ),
    "BN" => __( "Brunei Darussalam", "pinpoll" ),
    "BG" => __( "Bulgaria", "pinpoll" ),
    "BF" => __( "Burkina Faso", "pinpoll" ),
    "BI" => __( "Burundi", "pinpoll" ),
    "KH" => __( "Cambodia", "pinpoll" ),
    "CM" => __( "Cameroon", "pinpoll" ),
    "CA" => __( "Canada", "pinpoll" ),
    "CV" => __( "Cape Verde", "pinpoll" ),
    "KY" => __( "Cayman Islands", "pinpoll" ),
    "CF" => __( "Central African Republic", "pinpoll" ),
    "TD" => __( "Chad", "pinpoll" ),
    "CL" => __( "Chile", "pinpoll" ),
    "CN" => __( "China", "pinpoll" ),
    "CX" => __( "Christmas Island", "pinpoll" ),
    "CC" => __( "Cocos (Keeling) Islands", "pinpoll" ),
    "CO" => __( "Colombia", "pinpoll" ),
    "KM" => __( "Comoros", "pinpoll" ),
    "CG" => __( "Congo", "pinpoll" ),
    "CD" => __( "Congo, the Democratic Republic of the", "pinpoll" ),
    "CK" => __( "Cook Islands", "pinpoll" ),
    "CR" => __( "Costa Rica", "pinpoll" ),
    "CI" => __( "Cote d'Ivoire", "pinpoll" ),
    "HR" => __( "Croatia", "pinpoll" ),
    "CU" => __( "Cuba", "pinpoll" ),
    "CW" => __( "Curacao", "pinpoll" ),
    "CY" => __( "Cyprus", "pinpoll" ),
    "CZ" => __( "Czech Republic", "pinpoll" ),
    "DK" => __( "Denmark", "pinpoll" ),
    "DJ" => __( "Djibouti", "pinpoll" ),
    "DM" => __( "Dominica", "pinpoll" ),
    "DO" => __( "Dominican Republic", "pinpoll" ),
    "EC" => __( "Ecuador", "pinpoll" ),
    "EG" => __( "Egypt", "pinpoll" ),
    "SV" => __( "El Salvador", "pinpoll" ),
    "GQ" => __( "Equatorial Guinea", "pinpoll" ),
    "ER" => __( "Eritrea", "pinpoll" ),
    "EE" => __( "Estonia", "pinpoll" ),
    "ET" => __( "Ethiopia", "pinpoll" ),
    "FK" => __( "Falkland Islands (Malvinas)", "pinpoll" ),
    "FO" => __( "Faroe Islands", "pinpoll" ),
    "FJ" => __( "Fiji", "pinpoll" ),
    "FI" => __( "Finland", "pinpoll" ),
    "FR" => __( "France", "pinpoll" ),
    "GF" => __( "French Guiana", "pinpoll" ),
    "PF" => __( "French Polynesia", "pinpoll" ),
    "TF" => __( "French Southern Territories", "pinpoll" ),
    "GA" => __( "Gabon", "pinpoll" ),
    "GM" => __( "Gambia", "pinpoll" ),
    "GE" => __( "Georgia", "pinpoll" ),
    "DE" => __( "Germany", "pinpoll" ),
    "GH" => __( "Ghana", "pinpoll" ),
    "GI" => __( "Gibraltar", "pinpoll" ),
    "GR" => __( "Greece", "pinpoll" ),
    "GL" => __( "Greenland", "pinpoll" ),
    "GD" => __( "Grenada", "pinpoll" ),
    "GP" => __( "Guadeloupe", "pinpoll" ),
    "GU" => __( "Guam", "pinpoll" ),
    "GT" => __( "Guatemala", "pinpoll" ),
    "GG" => __( "Guernsey", "pinpoll" ),
    "GN" => __( "Guinea", "pinpoll" ),
    "GW" => __( "Guinea-Bissau", "pinpoll" ),
    "GY" => __( "Guyana", "pinpoll" ),
    "HT" => __( "Haiti", "pinpoll" ),
    "HM" => __( "Heard Island and McDonald Islands", "pinpoll" ),
    "VA" => __( "Holy See (Vatican City State)", "pinpoll" ),
    "HN" => __( "Honduras", "pinpoll" ),
    "HK" => __( "Hong Kong", "pinpoll" ),
    "HU" => __( "Hungary", "pinpoll" ),
    "IS" => __( "Iceland", "pinpoll" ),
    "IN" => __( "India", "pinpoll" ),
    "ID" => __( "Indonesia", "pinpoll" ),
    "IR" => __( "Iran, Islamic Republic of", "pinpoll" ),
    "IQ" => __( "Iraq", "pinpoll" ),
    "IE" => __( "Ireland", "pinpoll" ),
    "IM" => __( "Isle of Man", "pinpoll" ),
    "IL" => __( "Israel", "pinpoll" ),
    "IT" => __( "Italy", "pinpoll" ),
    "JM" => __( "Jamaica", "pinpoll" ),
    "JP" => __( "Japan", "pinpoll" ),
    "JE" => __( "Jersey", "pinpoll" ),
    "JO" => __( "Jordan", "pinpoll" ),
    "KZ" => __( "Kazakhstan", "pinpoll" ),
    "KE" => __( "Kenya", "pinpoll" ),
    "KI" => __( "Kiribati", "pinpoll" ),
    "KP" => __( "Korea, Democratic People's Republic of", "pinpoll" ),
    "KR" => __( "Korea, Republic of", "pinpoll" ),
    "KW" => __( "Kuwait", "pinpoll" ),
    "KG" => __( "Kyrgyzstan", "pinpoll" ),
    "LA" => __( "Lao People's Democratic Republic", "pinpoll" ),
    "LV" => __( "Latvia", "pinpoll" ),
    "LB" => __( "Lebanon", "pinpoll" ),
    "LS" => __( "Lesotho", "pinpoll" ),
    "LR" => __( "Liberia", "pinpoll" ),
    "LY" => __( "Libya", "pinpoll" ),
    "LI" => __( "Liechtenstein", "pinpoll" ),
    "LT" => __( "Lithuania", "pinpoll" ),
    "LU" => __( "Luxembourg", "pinpoll" ),
    "MO" => __( "Macao", "pinpoll" ),
    "MK" => __( "Macedonia, the Former Yugoslav Republic of", "pinpoll" ),
    "MG" => __( "Madagascar", "pinpoll" ),
    "MW" => __( "Malawi", "pinpoll" ),
    "MY" => __( "Malaysia", "pinpoll" ),
    "MV" => __( "Maldives", "pinpoll" ),
    "ML" => __( "Mali", "pinpoll" ),
    "MT" => __( "Malta", "pinpoll" ),
    "MH" => __( "Marshall Islands", "pinpoll" ),
    "MQ" => __( "Martinique", "pinpoll" ),
    "MR" => __( "Mauritania", "pinpoll" ),
    "MU" => __( "Mauritius", "pinpoll" ),
    "YT" => __( "Mayotte", "pinpoll" ),
    "MX" => __( "Mexico", "pinpoll" ),
    "FM" => __( "Micronesia, Federated States of", "pinpoll" ),
    "MD" => __( "Moldova, Republic of", "pinpoll" ),
    "MC" => __( "Monaco", "pinpoll" ),
    "MN" => __( "Mongolia", "pinpoll" ),
    "ME" => __( "Montenegro", "pinpoll" ),
    "MS" => __( "Montserrat", "pinpoll" ),
    "MA" => __( "Morocco", "pinpoll" ),
    "MZ" => __( "Mozambique", "pinpoll" ),
    "MM" => __( "Myanmar", "pinpoll" ),
    "NA" => __( "Namibia", "pinpoll" ),
    "NR" => __( "Nauru", "pinpoll" ),
    "NP" => __( "Nepal", "pinpoll" ),
    "NL" => __( "Netherlands", "pinpoll" ),
    "NC" => __( "New Caledonia", "pinpoll" ),
    "NZ" => __( "New Zealand", "pinpoll" ),
    "NI" => __( "Nicaragua", "pinpoll" ),
    "NE" => __( "Niger", "pinpoll" ),
    "NG" => __( "Nigeria", "pinpoll" ),
    "NU" => __( "Niue", "pinpoll" ),
    "NF" => __( "Norfolk Island", "pinpoll" ),
    "MP" => __( "Northern Mariana Islands", "pinpoll" ),
    "NO" => __( "Norway", "pinpoll" ),
    "OM" => __( "Oman", "pinpoll" ),
    "PK" => __( "Pakistan", "pinpoll" ),
    "PW" => __( "Palau", "pinpoll" ),
    "PS" => __( "Palestine, State of", "pinpoll" ),
    "PA" => __( "Panama", "pinpoll" ),
    "PG" => __( "Papua New Guinea", "pinpoll" ),
    "PY" => __( "Paraguay", "pinpoll" ),
    "PE" => __( "Peru", "pinpoll" ),
    "PH" => __( "Philippines", "pinpoll" ),
    "PN" => __( "Pitcairn", "pinpoll" ),
    "PL" => __( "Poland", "pinpoll" ),
    "PT" => __( "Portugal", "pinpoll" ),
    "PR" => __( "Puerto Rico", "pinpoll" ),
    "QA" => __( "Qatar", "pinpoll" ),
    "RE" => __( "Reunion", "pinpoll" ),
    "RO" => __( "Romania", "pinpoll" ),
    "RU" => __( "Russian Federation", "pinpoll" ),
    "RW" => __( "Rwanda", "pinpoll" ),
    "BL" => __( "Saint Barthelemy", "pinpoll" ),
    "SH" => __( "Saint Helena, Ascension and Tristan da Cunha", "pinpoll" ),
    "KN" => __( "Saint Kitts and Nevis", "pinpoll" ),
    "LC" => __( "Saint Lucia", "pinpoll" ),
    "MF" => __( "Saint Martin (French part)", "pinpoll" ),
    "PM" => __( "Saint Pierre and Miquelon", "pinpoll" ),
    "VC" => __( "Saint Vincent and the Grenadines", "pinpoll" ),
    "WS" => __( "Samoa", "pinpoll" ),
    "SM" => __( "San Marino", "pinpoll" ),
    "ST" => __( "Sao Tome and Principe", "pinpoll" ),
    "SA" => __( "Saudi Arabia", "pinpoll" ),
    "SN" => __( "Senegal", "pinpoll" ),
    "RS" => __( "Serbia", "pinpoll" ),
    "SC" => __( "Seychelles", "pinpoll" ),
    "SL" => __( "Sierra Leone", "pinpoll" ),
    "SG" => __( "Singapore", "pinpoll" ),
    "SX" => __( "Sint Maarten (Dutch part)", "pinpoll" ),
    "SK" => __( "Slovakia", "pinpoll" ),
    "SI" => __( "Slovenia", "pinpoll" ),
    "SB" => __( "Solomon Islands", "pinpoll" ),
    "SO" => __( "Somalia", "pinpoll" ),
    "ZA" => __( "South Africa", "pinpoll" ),
    "GS" => __( "South Georgia and the South Sandwich Islands", "pinpoll" ),
    "SS" => __( "South Sudan", "pinpoll" ),
    "ES" => __( "Spain", "pinpoll" ),
    "LK" => __( "Sri Lanka", "pinpoll" ),
    "SD" => __( "Sudan", "pinpoll" ),
    "SR" => __( "Suriname", "pinpoll" ),
    "SJ" => __( "Svalbard and Jan Mayen", "pinpoll" ),
    "SZ" => __( "Swaziland", "pinpoll" ),
    "SE" => __( "Sweden", "pinpoll" ),
    "CH" => __( "Switzerland", "pinpoll" ),
    "SY" => __( "Syrian Arab Republic", "pinpoll" ),
    "TW" => __( "Taiwan, Province of China", "pinpoll" ),
    "TJ" => __( "Tajikistan", "pinpoll" ),
    "TZ" => __( "Tanzania, United Republic of", "pinpoll" ),
    "TH" => __( "Thailand", "pinpoll" ),
    "TL" => __( "Timor-Leste", "pinpoll" ),
    "TG" => __( "Togo", "pinpoll" ),
    "TK" => __( "Tokelau", "pinpoll" ),
    "TO" => __( "Tonga", "pinpoll" ),
    "TT" => __( "Trinidad and Tobago", "pinpoll" ),
    "TN" => __( "Tunisia", "pinpoll" ),
    "TR" => __( "Turkey", "pinpoll" ),
    "TM" => __( "Turkmenistan", "pinpoll" ),
    "TC" => __( "Turks and Caicos Islands", "pinpoll" ),
    "TV" => __( "Tuvalu", "pinpoll" ),
    "UG" => __( "Uganda", "pinpoll" ),
    "UA" => __( "Ukraine", "pinpoll" ),
    "AE" => __( "United Arab Emirates", "pinpoll" ),
    "GB" => __( "United Kingdom", "pinpoll" ),
    "US" => __( "United States", "pinpoll" ),
    "UM" => __( "United States Minor Outlying Islands", "pinpoll" ),
    "UY" => __( "Uruguay", "pinpoll" ),
    "UZ" => __( "Uzbekistan", "pinpoll" ),
    "VU" => __( "Vanuatu", "pinpoll" ),
    "VE" => __( "Venezuela, Bolivarian Republic of", "pinpoll" ),
    "VN" => __( "Viet Nam", "pinpoll" ),
    "VG" => __( "Virgin Islands, British", "pinpoll" ),
    "VI" => __( "Virgin Islands, U.S.", "pinpoll" ),
    "WF" => __( "Wallis and Futuna", "pinpoll" ),
    "EH" => __( "Western Sahara", "pinpoll" ),
    "YE" => __( "Yemen", "pinpoll" ),
    "ZM" => __( "Zambia", "pinpoll" ),
    "ZW" => __( "Zimbabwe", "pinpoll" ),
    "EU" => __( "European Union", "pinpoll" )
  ];
}

?>
